Bug 761129

Summary: [abrt] gnome-shell-3.2.1-2.fc16: st_widget_get_theme_node: Process /usr/bin/gnome-shell was killed by signal 5 (SIGTRAP)
Product: [Fedora] Fedora Reporter: fred <fredoche>
Component: gjsAssignee: Colin Walters <walters>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: arunkumar.mb, browning48ky, dag.odenhall, fedorabugreportanon, igor.katalnikov, maciek.borzecki, maxamillion, otaylor, samkraju, three, tomek, wallykramer, walters
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:70bc7ec14f3d8e617ac7682e883b49434003ab24
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-26 10:09:45 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: dso_list
none
File: build_ids
none
File: var_log_messages
none
File: maps
none
File: backtrace
none
File: backtrace
none
File: backtrace
none
File: backtrace
none
File: backtrace
none
File: backtrace none

Description fred 2011-12-07 13:17:01 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_widget_get_theme_node
executable:     /usr/bin/gnome-shell
kernel:         3.1.2-1.fc16.x86_64
pid:            1496
pwd:            /home/fred
reason:         Process /usr/bin/gnome-shell was killed by signal 5 (SIGTRAP)
time:           mer. 07 déc. 2011 19:07:34 CET
uid:            1000
username:       fred

backtrace:      Text file, 61423 bytes
build_ids:      Text file, 6765 bytes
dso_list:       Text file, 22021 bytes
maps:           Text file, 115331 bytes
var_log_messages: Text file, 10955 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/zsh
:XDG_SESSION_COOKIE=a7abb38d09e3d8a83ae27fac00000009-1323251406.171003-2026838088
:GNOME_KEYRING_CONTROL=/tmp/keyring-1eTIsg
:IMSETTINGS_MODULE=none
:USER=fred
:USERNAME=fred
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/home/fred/bin:/usr/local/sbin:/usr/sbin:/sbin
:QT_IM_MODULE=xim
:PWD=/home/fred
:XMODIFIERS=@im=none
:LANG=fr_FR.utf8
:GNOME_KEYRING_PID=1281
:GDM_LANG=fr_FR.utf8
:GDMSESSION=gnome
:SHLVL=0
:XDG_SEAT=seat0
:HOME=/home/fred
:LOGNAME=fred
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-euw9lmACM7,guid=ab2bbc69fccbffbadab6fce800000036
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/fred
:XAUTHORITY=/var/run/gdm/auth-for-fred-kHfFO5/database
:OLDPWD=/home/fred
:HISTCONTROL=ignoredups
:MAIL=/var/spool/mail/fred
:HOSTNAME=boulet
:HISTSIZE=1000
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1287,unix/unix:/tmp/.ICE-unix/1287
:GPG_AGENT_INFO=/tmp/keyring-1eTIsg/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-1eTIsg/ssh
:LC_TIME=fr_FR.utf8
:LC_NUMERIC=fr_FR.utf8
:LC_MONETARY=fr_FR.utf8
:LC_MEASUREMENT=fr_FR.utf8
:DESKTOP_AUTOSTART_ID=10500be19635dbdcb01323251407364400000012870000
Comment 1 fred 2011-12-07 13:17:05 EST
Created attachment 542097 [details]
File: dso_list
Comment 2 fred 2011-12-07 13:17:07 EST
Created attachment 542098 [details]
File: build_ids
Comment 3 fred 2011-12-07 13:17:09 EST
Created attachment 542099 [details]
File: var_log_messages
Comment 4 fred 2011-12-07 13:17:11 EST
Created attachment 542100 [details]
File: maps
Comment 5 fred 2011-12-07 13:17:12 EST
Created attachment 542101 [details]
File: backtrace
Comment 6 Dag Odenhall 2012-01-16 08:01:15 EST
The Shell just dropped out on me, but thankfully restarted itself. I think it might have happened at the same time as Quod Libet finished playing an album.

backtrace_rating: 4
Package: gnome-shell-3.2.1-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 7 Dag Odenhall 2012-01-16 08:01:20 EST
Created attachment 555500 [details]
File: backtrace
Comment 8 Justin O'Brien 2012-01-28 21:21:39 EST
installing extentions 

backtrace_rating: 4
Package: gnome-shell-3.2.1-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 9 Justin O'Brien 2012-01-28 21:21:43 EST
Created attachment 558118 [details]
File: backtrace
Comment 10 Tomasz Sterna 2012-02-05 09:21:10 EST
I started Rhythmbox and gnome-shell crashed

backtrace_rating: 4
Package: gnome-shell-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 11 Tomasz Sterna 2012-02-05 09:21:14 EST
Created attachment 559465 [details]
File: backtrace
Comment 12 lores000 2012-03-13 14:42:25 EDT
Shortly after installing the gTile extension

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 13 lores000 2012-03-13 14:42:30 EDT
Created attachment 569754 [details]
File: backtrace
Comment 14 abrt-bot 2012-03-20 12:08:26 EDT
Backtrace analysis of bugs across components suggests the actual bug is in component gjs instead of component gnome-shell, reassigning to gjs.

Bugs which were found to be similar to this bug: 
  gnome-shell: bug #702848, bug #704201, bug #708798, bug #720101
  mutter: bug #579627, bug #579932, bug #579956

This comment is automatically generated.
Comment 15 abrt-bot 2012-03-20 12:08:37 EDT
*** Bug 708798 has been marked as a duplicate of this bug. ***
Comment 16 abrt-bot 2012-03-30 10:18:14 EDT
*** Bug 698939 has been marked as a duplicate of this bug. ***
Comment 17 wallyk 2012-05-12 00:37:49 EDT
1. had been running for hours with 5+ windows open
2. pressed Alt-Tab to switch to a different window, but something prevented it from responding (perhaps the WiFi driver which periodically has some trouble--the music player hesitated providing audio at the same time)
3. pressed Alt-Tab 5-7 more times hoping to get something to happen
4. screen blanked, reset to desktop background, windows reappeared, and crash notification appeared

Situation does not readily reproduce in 3+ attempts.


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 18 wallyk 2012-05-12 00:37:54 EDT
Created attachment 583960 [details]
File: backtrace
Comment 19 Cuong Pham 2012-06-04 03:24:16 EDT
It's crash suddently when I run GIMP

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 20 wallyk 2012-08-15 21:15:10 EDT
Had 5 windows open on one desktop and 1 on a second.  Tried to flip from one to another with Ctrl-~.  The shell did not respond immediately like it always does, so I hit the keystroke again after 1-2 seconds.  The wallpaper appeared for 3-4 seconds, the windows reappear with a crash notification on top.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 21 wallyk 2012-08-23 16:14:18 EDT
Hours of use, but the last 10+ hours the mouse did not interact with the shell's borders (clock, battery icon, username at top right, etc., and moving top left did not show the shell controls/icons.)  The mouse worked with all other windows normally.

I pressed Alt-Tab hundreds of times in this session to switch windows.  This particular time, I don't think I did a single thing different.  Only the window did not switch and seemed unresponsive.  After about 1.5 seconds, I was starting to think about rebooting (long ago I used MS Windows a lot), and moved the mouse across the middle of the screen.  That seemed to unjam it:  the windows flipped around showing 1/5 or 1/6 screen size rectangles from different layers for less than a second, then the bare desktop background appeared also for less than a second, then the windows were restored and a crash notification appeared.

I have not been able to reproduce it.


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 22 wallyk 2012-09-27 03:12:51 EDT
I was Alt-tabbing between windows.  I suspect I might have mis-pressed the Tab key one time (Alt-` or Alt-Q?), and so I immediately pressed Alt-Tab, but there was no apparent response.  So I hit it again several times and all the windows disappeared, then crash notification.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 23 wallyk 2012-10-12 18:59:00 EDT
frantic flipping through windows because Alt-Tab did not show the previous window.  So I pressed Alt-Tab-Tab.  Then Tab thrice.  Then Alt- and tried to click on the desired window (Compose Mail).

It is not easily reproducible.


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 24 wallyk 2012-10-26 17:26:47 EDT
running for days without trouble
was using Alt-Tab to flip between windows like usual, except I might have typed Alt-Tab Alt-Tab (releasing Alt between) quite quickly.


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 25 Fedora End Of Life 2013-01-16 15:49:17 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Fedora End Of Life 2013-02-26 10:09:50 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.